### robocode.control.events

# Class RoundEndedEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.RoundEndedEvent`

`public class RoundEndedEvent`
`extends BattleEvent`

A RoundEndedEvent is sent to `onRoundEnded()` when the current round of a battle has ended.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `RoundStartedEvent`

  ## Constructor Summary

  `RoundEndedEvent(int round, int turns)`
    Creates a new RoundEndedEvent.

  ## Method Summary

  `int`

  `getRound()`
    Returns the round number that was ended.

  `int`

  `getTurns()`
    Returns the number of turns that this round reached.

## Constructor Details

### RoundEndedEvent

    public RoundEndedEvent(int round,
                           int turns)

> Creates a new RoundEndedEvent.
> Parameters:
>   `round` - the round number that was ended.
>   `turns` - the number of turns that this round reached.

## Method Details

### getRound

    public int getRound()

> Returns the round number that was ended.
> Returns:
>   the round number that was ended.

### getTurns

    public int getTurns()

> Returns the number of turns that this round reached.
> Returns:
>   the number of turns that this round reached.